// Copyright (c) 2011,2014 Douglas Miller
// $Id: SuffFileChooser.java,v 1.4 2014/01/14 21:53:51 drmiller Exp $

import java.awt.*;
import java.io.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.io.*;

public class FormatSpecs {
	public boolean DD = false;
	public boolean DS = false;
	public boolean DT = false;
	public boolean D8 = false;
	public boolean MMS = false;
	public boolean M47 = false;
	public boolean Z47 = false;
	public boolean Z47X = false;
	public boolean Z37 = false;
	public boolean Z37X = false;
	public boolean Z67 = false;

	public FormatSpecs(String format, String media,
			String density, String sides, String tpi) {
		MMS = format.equals("MMS"); 
		M47 = format.equals("M47"); 
		Z47 = format.equals("Z47"); 
		Z47X = format.equals("Z47X"); 
		Z37 = format.equals("Z37"); 
		Z37X = format.equals("Z37X"); 
		Z67 = format.equals("Z67"); 
		D8 = media.equals("8"); 
		DD = density.equals("DD"); 
		DS = sides.equals("DS"); 
		DT = tpi.equals("DT"); 
	}
}
