// Copyright (c) 2018 Douglas Miller <durgadas311@gmail.com>

public interface GeneralPurposePort extends IODevice {
	// Some universal bits in GPP, for listeners ONLY:
	int getOrg0Bit();
	int getSideSelBit();
	int get2mSClockBit();
	int getSStepBit();
	boolean isSStepEna();
	int getMEM1Bit();
	int getIO1Bit();

	void addGppListener(GppListener lstn);
	String dumpDebug();
	void trigger2ms();
}
